This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 201327 - Racoon segfault
Racoon segfault
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: ipsec-tools (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Conklin
:
Depends On:
Blocks: 201328
  Show dependency treegraph
 
Reported: 2006-08-04 09:13 EDT by John
Modified: 2008-01-04 11:46 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-04 11:46:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John 2006-08-04 09:13:12 EDT
Hi!

Sorry for my English.

racoon segfault in IKE phase 1 if authentication_method gssapi_krb.

How to reproduce:
/etc/sysconfig/network-scripts/ifcfg-ipsec0
TYPE=IPSEC
ONBOOT=yes
DST=X.X.X.X
AH_PROTO=sha1
ESP_PROTO=aes
IKE_METHOD=GSSAPI

/etc/racoon/X.X.X.X.conf
remote A.B.C.1
{
        exchange_mode main;
        lifetime time 2 hours;
        my_identifier address;
        proposal {
                encryption_algorithm aes;
                hash_algorithm sha1;
                authentication_method gssapi_krb;
                dh_group 2 ;
        }
}

/etc/racoon/racoon.conf
sainfo anonymous
{
        pfs_group 2;
        lifetime time 1 hour;
        encryption_algorithm 3des, blowfish 448, rijndael, aes;
        authentication_algorithm hmac_sha1, hmac_md5;
        compression_algorithm deflate;
}

include "/etc/racoon/X.X.X.X.conf";

Host X.X.X.X have appropriate configs. From X.X.X.X
ping my_machine

racoon die

if log debug in /etc/racoon/racoon.conf on appropriate
I see SIGSEGV in logs.
Comment 1 Harald Hoyer 2006-08-04 11:30:29 EDT
so X.X.X.X runs racoon also?
Comment 2 John 2006-08-04 14:56:51 EDT
Yes, host X.X.X.X has the same distro, arch and configs.
Comment 3 Steve Conklin 2008-01-04 11:46:06 EST
This was reported against Fedora 5. If this can be reproduced in the latest
Fedora release, please open a new bug.

Note You need to log in before you can comment on or make changes to this bug.